package com.company.mystorage.view;

import com.vaadin.flow.component.ClickEvent;
import io.jmix.core.FileRef;
import io.jmix.flowui.component.upload.FileStorageUploadField;
import org.springframework.lang.NonNull;

public class AppFileStorageUploadField extends FileStorageUploadField {

	@Override
	protected void onFileNameClick(@NonNull ClickEvent<?> clickEvent) {
		if (!isEnabled()) {
			return;
		}

		// here we can get custom content, e.g.
		//FileRef value = getValue();
		//if (value != null) {
		//    downloader.download(() ->
		//                    new FileInputStream(getPath() + File.separator + value.getFileName()),
		//            generateFileName());
		//}

		// default behaviour
		FileRef value = getValue();
		if (value != null) {
			downloader.download(value);
		}
	}
}
